### Method

# Ide LspClient set_root_uri

#### Declaration

    void
    ide_lsp_client_set_root_uri (
      IdeLspClient* self,
      const gchar* root_uri
    )

#### Description

No description available.

Sets property | `Ide.LspClient:root-uri`

#### Parameters

`root_uri` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.